import * as $dara from '@darabonba/typescript';
import { DescribeRouteEntryListResponseBody } from "./DescribeRouteEntryListResponseBody";
export declare class DescribeRouteEntryListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeRouteEntryListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
